﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Xenon.ListGraphic
{
    public partial class Form_Jikkou : Form
    {
        /// <summary>
        /// local行一覧
        /// </summary>
        public LocalTable Report_Local
        {
            get
            {
                return this.ucJikkou1.Report_Local;
            }
        }

        public string DirectoryPath
        {
            get
            {
                return this.ucJikkou1.DirectoryPath;
            }
            set
            {
                this.ucJikkou1.DirectoryPath = value;
            }
        }

        public string ReportLoadgraphicCsv()
        {
            return this.ucJikkou1.Report_LoadGraphic.ReportCsv();
        }

        public string ReportLocalCsv()
        {
            return this.ucJikkou1.Report_Local.ReportCsv();
        }

        public string ReportFunctionCsv()
        {
            return this.ucJikkou1.Report_Function.ReportCsv();
        }

        public string ReportFunctioncallCsv()
        {
            return this.ucJikkou1.Report_Functioncall.ReportCsv();
        }

        public string ReportLoadgraphicHtml(LocalTable localTable)
        {
            return this.ucJikkou1.Report_LoadGraphic.ReportHtml(this.DirectoryPath, localTable);
        }

        public string ErrorMessage
        {
            get
            {
                return this.ucJikkou1.ErrorMessage;
            }
        }


        public Form_Jikkou()
        {
            InitializeComponent();
        }

        private void Form_Jikkou_FormClosing(object sender, FormClosingEventArgs e)
        {

        }
    }
}
